BugTraq
[Suspected Spam]Vulnerabilities in NoCMS Mar 31 2010 04:09PM
MustLive (mustlive websecurity com ua)
Hello Bugtraq!

I want to warn you about security vulnerabilities in NoCMS (in both versions
for work with Ascent and Mangos).

-----------------------------
Advisory: Vulnerabilities in NoCMS
-----------------------------
URL: http://websecurity.com.ua/4065/
-----------------------------
Timeline:
17.03.2010 - found vulnerabilities.
24.03.2010 - disclosed at my site.
25.03.2010 - informed developers.
-----------------------------
Details:

These are Insufficient Anti-automation and Denial of Service
vulnerabilities.

The vulnerabilities exist in captcha script CaptchaSecurityImages.php, which
is using in this system. I already reported about vulnerabilities in
CaptchaSecurityImages (http://websecurity.com.ua/4043/).

Insufficient Anti-automation:

http://site/libs/captcha/CaptchaSecurityImages.php?width=150&height=100&
characters=2

Captcha bypass is possible as via half-automated or automated (with using of
OCR) methods, which were mentioned before (http://websecurity.com.ua/4043/),
as with using of session reusing with constant captcha bypass method
(http://websecurity.com.ua/1551/), which was described in project Month of
Bugs in Captchas.

DoS:

http://site/libs/captcha/CaptchaSecurityImages.php?width=1000&height=900
0

With setting of large values of width and height it's possible to create
large load at the server.

Vulnerable are all versions of NoCMS.

Best wishes & regards,
MustLive
Administrator of Websecurity web site
http://websecurity.com.ua

[ reply ]


 

Privacy Statement
Copyright 2010, SecurityFocus